restore, 'SAM_1D_starinput.idl', /verb

a_range=[5, 500]
m_range=[1,100]
nseed=50
ngen=100
dir='test/'

DISTR='C08'
MESS_1D, ID, NGEN, MSTAR, DPC, XLIM, YLIM, A_RANGE, M_RANGE, DISTR, $
         OBS_DATE=OBS_REAL, INSTR=INSTR, NOSAVE=NOSAVE, NSEED=NSEED, $
         DIR=DIR

prob=readfits('Prob_C08_SAM_1D_01_1D.fits')
tek_color
restore, 'SAM_1D_011D_seed.idl'

contour, 1-prob, a, mass, /fill, levels=[0,0.1,0.25, 0.50, 0.75, 0.95,1]*max(1-prob), $
xtitle='Semi-major axis (AU)', ytitle='Mass (M!DJup!N)', charthick=2, xthick=2, ythick=2, charsize=1.5
contour, 1-prob, a, mass, c_thick=2, $
         levels=[0,0.25, 0.50, 0.75, 0.95,1]*max(1-prob), /overplot



im=tvrd(true=1)
write_jpeg,'Fig1.jpeg',im,TRUE=1, quality=100

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DISTR='L03'
MESS_1D, ID, NGEN, MSTAR, DPC, XLIM, YLIM, A_RANGE, M_RANGE, DISTR, $
         OBS_DATE=OBS_REAL, INSTR=INSTR, NOSAVE=NOSAVE, NSEED=NSEED, $
         DIR=DIR
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DISTR='CUSTOM'
alpha=-1.5
beta=0.5
MESS_1D, ID, NGEN, MSTAR, DPC, XLIM, YLIM, A_RANGE, M_RANGE, DISTR, $
         OBS_DATE=OBS_REAL, INSTR=INSTR, NOSAVE=NOSAVE, NSEED=NSEED, $
         DIR=DIR, ALPHA=ALPHA, BETA=BETA
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


DISTR='GRID'
INSTR='MDI'
MESS_1D, ID, NGEN, MSTAR, DPC, XLIM, YLIM, A_RANGE, M_RANGE, DISTR, $
         OBS_DATE=OBS_REAL, INSTR=INSTR, NOSAVE=NOSAVE, NSEED=NSEED, $
         FXLIM=FXLIM, FYLIM_UP1=FYLIM_UP1, FYLIM_LOW=FYLIM_LOW, DIR=DIR


astep=round((a_range[1]-a_range[0])/float(nseed))
mstep=round((m_range[1]-m_range[0])/float(nseed))
a_val=a_range[0]+(indgen(nseed)*astep)
m_val=m_range[0]+(indgen(nseed)*mstep)

prob=readfits('Prob_GRID_SAM_1D_01_1D.fits')
tek_color

contour, 1-prob, a_val, m_val, /fill, levels=[0,0.25, 0.50, 0.75, 0.95,1]*max(1-prob), $
xtitle='Semi-major axis (AU)', ytitle='Mass (M!DJup!N)', charthick=2, xthick=2, ythick=2, charsize=1.5

oplot, xlim, ylim, col=4,thick=2
oplot, fxlim, fylim_up1, col=2,thick=2
oplot, fxlim, fylim_low, col=2,thick=2

legend, ['formation limits', 'detection limits'], linestyle=0, color=[2,4], box=0, $
        /right, /top, thick=2, charthick=2, charsize=1.5

im=tvrd(true=1)
write_jpeg,'Fig2.jpeg',im,TRUE=1, quality=100





END
